RSSフィードについて

RSSリーダーで、フォーラムの新着投稿情報がチェックできます。
詳しくは下記ページを参照して下さい。

RSSフィード  RSSフィードについて

ご自由に情報交換の場として御利用ください。
また質問の前には「回答を得るには?」を参照してください。


GroupSessionへの要望があれば参考にさせていただきます。
要望リストも参考にしてください。


 
フォーラム  フォーラム
00_インストール・設定
スレッド  タイトル

新バージョン2.1.0と旧バージョン1.1.7の同時運用について


[ 1083 ] 新バージョン2.1.0と旧バージョン1.1.7の同時運用について
投稿者: fukahide
投稿日時:  2008/06/12 19:58:36
なぜそんな事を?をお思いになる方も居るかもしれませんが
当方の使用方法でどうしても名刺管理を切り離す事ができず、かつ新バージョンでの運用を希望する
声が上がり、同時運用をトライしてみたのですが旨く行きません
何方か、同時運用成功された方居ないでしょうか?

新システム運用に当たり下記のインストールは済です
WIN2000SEVER
Tomcat/5.5.25
Apache Http Server 2.2
JDK5

旧システムでは
WIN2000SEVER
Tomcat/3.3.1
Apache 1.3.33

お手数かと思いますが、宜しくお願い致します
  引用返信
[ 1084 ] Re: 新バージョン2.1.0と旧バージョン1.1.7の同時運用について
投稿者: MSA
投稿日時:  2008/06/12 20:12:14
> 同時運用をトライしてみたのですが旨く行きません

どの様にうまくいかないのでしょうか?
ログに何か出ていませんか?

Tomcatを複数起動するとポート番号(デフォルトで8080)が衝突すると思うのですが、
新旧どちらかのTomcat設定の設定(HTTPサーバのポート番号下記の8080箇所)を
を別な番号に変更したら起動できたりしませんか?
(下記はtomcat6のデフォルトの記載なので、読み替えてください)

ファイル:$tomcat/conf/server.xml
<Connector port="8080" protocol="HTTP/1.1"
connectionTimeout="20000"
redirectPort="8443" />
  引用返信
[ 1085 ] Re: Re: 新バージョン2.1.0と旧バージョン1.1.7の同時運用について
投稿者: fukahide
投稿日時:  2008/06/13 09:02:38
早速のご返信有難う御座います

> どの様にうまくいかないのでしょうか?
> ログに何か出ていませんか?

 httpdが2.2になってからは"mod_jk"での接続が不可になっているようで
 proxy_ajpを使用しての接続となり旧gsessionをどのように接続するかがわからない状況です

先ずはじめに行ったのがhttpd2.0.2用のmod_jk2を組み込もうとしたのですが
httpd起動時に組込エラーが出てしまい、起動に失敗しました
その後NETで色々と検索した結果httpd2.2でのTomcatとの連携はproxy_ajpを使用することがわかってきました

そこで、次に行ったのがgsession2の設定と同じように http.confの下に以下の内容を追記
<Location /gsession/>
 ProxyPass ajp://localhost:8009/gsession/
</Location>

この後にDOS窓を開いて
java -jar Install.jar
を実行してみました

この方法でgsessionにアクセスしようと以下
http://*********/gsession/
もしくは
http://*********/gsession/servlet/gsession
にてアクセスしようとすると

http://*********/gsession/common/cmd000.so
というのが見つかりませんと、表示されます

>
> Tomcatを複数起動するとポート番号(デフォルトで8080)が衝突すると思うのですが、
> 新旧どちらかのTomcat設定の設定(HTTPサーバのポート番号下記の8080箇所)を
> を別な番号に変更したら起動できたりしませんか?
> (下記はtomcat6のデフォルトの記載なので、読み替えてください)
>
> ファイル:$tomcat/conf/server.xml
> <Connector port="8080" protocol="HTTP/1.1"
> connectionTimeout="20000"
> redirectPort="8443" />

上記方法で新旧のTomcat起動できましたが
gsessionは起動できませんでした
エラーは上記内容と同じです

旧tomcatとの連携は取れていないようです


  引用返信
[ 1086 ] Re: Re: Re: 新バージョン2.1.0と旧バージョン1.1.7の同時運用について
投稿者: fukahide
投稿日時:  2008/06/13 09:54:07
自己完結のレスです

私の見落としで
gsessionの過去のファイルのダウンロードの中に
1.1.7のところに
gsession.warがありましたので

gsession2と同じように配置したら新旧の起動が出来ました
有難う御座いました

今後のgsessionのバージョンUP時の名刺管理の追加を待って一本化していく予定です

MSA様レス有難う御座いました
  引用返信
 
スレッドURL:
 

クラウド版グループウェアbycloud

Twitter
開発スタッフのつぶやき http://twitter.com/gsession_jts
Facebook
メールマガジン
GroupSessionのセキュリティ情報、アップデート情報をお伝えするメールマガジンです。(無料)
メルマガ『速報!GroupSession』
ブログ
スタッフによる開発日誌を公開しています。
「Public JTS スタッフブログ」


Copyright 日本トータルシステム株式会社